=== debian/changelog ===
ros-noetic-fetch-open-auto-dock (0.1.3-2focal) focal; urgency=high

  * First Noetic release of auto dock
  * Minor python3 updates to scripts (#5 <https://github.com/fetchrobotics/fetch_open_auto_dock/issues/5>)
  * Contributors: Eric Relson

 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 21 Feb 2021 08:00:00 -0000

ros-noetic-fetch-open-auto-dock (0.1.2-2focal) focal; urgency=high

  * [OPEN-4] update to package format 2 (#2 <https://github.com/fetchrobotics/fetch_open_auto_dock/issues/2>)
    OPEN-4: update to package format 2
    OPEN-24: fetch_open_auto_dock does not build reliably the first time
  * Fix package name reference (#1 <https://github.com/fetchrobotics/fetch_open_auto_dock/issues/1>)
  * Contributors: Alex Moriarty, Eric Relson

 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-noetic-fetch-open-auto-dock (0.1.1-2focal) focal; urgency=high

  * First release of auto dock
  * Contributors: Russell Toris

 -- Sarah Elliott <selliott@fetchrobotics.com>  Sat, 18 Aug 2018 07:00:00 -0000
